#include<bits/stdc++.h>

using namespace std;

int main() {
    unsigned long long n, m, k, kol, d;
    cin >> n >> m >> k;
    kol = (n / k) * (m / k);
    d = n * m - kol * k * k;
    if (d) {
        kol += d / k;
    }
    cout << kol;
}
